Skip to content

Create Container Registry

POST
/container_registry/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/container_registry/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "testing12345",
"username": "username_"
}'

Note: Container Registry is currently available only in the Delhi region.

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name

The name of the user

string
username

The username of the user

string

Example

{
"name": "testing12345",
"username": "username_"
}

Successful response